###### Change the following lines as indicated ###########

#Point this to your JDK 1.3 root directory
JDK=d:\java\jdk1.2.2

#The name of this executable being built
EXE=rmijdbc.exe

#Point this to the service.h file to include in this build
SRVC_H=..\service.h


###########################################################


#Resources
RES=messages.res

all: COPY $(RES) $(EXE)

CFLAGS=-MT -I$(JDK)\include -I$(JDK)\include\win32

.c.obj:
    cl -c $(CFLAGS) $*.c


javaserver.obj: javaserver.c service.h

service.obj: service.c service.h messages.h

parseargs.obj: parseargs.c parseargs.h

registry.obj: registry.c registry.h

javaserv_objs=javaserver.obj service.obj parseargs.obj registry.obj

javaserv_libs=advapi32.lib shell32.lib $(JDK)\lib\jvm.lib

COPY:
    copy $(SRVC_H) service.h

$(RES): messages.mc
    mc messages.mc
    rc messages.rc

$(EXE): $(javaserv_objs)
    link -OUT:$(EXE) $(javaserv_objs) $(javaserv_libs) $(RES)
    del *.obj
    del *.bin
    del *.rc
    del *.res
